.blog-sidebar {
	padding: 0 30px;
	box-shadow: 0px 5px 27.65px 7.35px rgba(0, 0, 0, 0.09);
	border-radius: 10px;
	margin-top: 60px;

	.widget {
		border-bottom: 1px solid #e7e7e7;
		padding-top: 39px;
		padding-bottom: 45px;

		&:last-child {
			border-bottom: 0px solid #e7e7e7;
		}
	
		.widget-title {
			padding-bottom: 0;
			position: relative;
			margin-bottom: 30px;

			h4 {
				font-size: 22px;
				color: var(--primary-text-color);
				position: relative;
				display: inline-block;

				&:after {
					content: "";
					height: 2px;
					width: 20px;
					background-color: var(--primary-color);
					position: absolute;
					top: 14px;
	    			right: -27px;
	    			display: block;
				}
			}
		}
	}

	.search-field {

		.search-form {
			position: relative;
		}
		
		input {
			height: 40px;
			width: 100%;
			padding-left: 20px;
			border: 0px solid #ffffff;
			border-radius: 100px;
			box-shadow: 0px 3px 16.8px 4.2px rgba(0, 0, 0, 0.09);
			font-size: 14px;

			&::placeholder {
				color: var(--secondary-text-color);
			}
		}
	}

	.category-widget {

		ul {

			li {
				padding-bottom: 5px;

				&:last-child {
					padding-bottom: 0;
				}

				&:before {
					content: "\2022"; 
  					color: var(--primary-color);
  					font-size: 20px;
  					padding-right: 8px;
				}

				a {
					color: var(--primary-text-color);
					
					&:hover {
						color: var(--primary-color);
					}
				}
			}
		}
	}

	.recent-post-widget {

		.recent-posts {
			margin-bottom: 30px;

			&:last-child {
				margin-bottom: 0px;
			}
	
			.feature-image {
				float: left;

				img {
					border-radius: 100px;
				}
			}

			.post-details {
				margin-left: 85px;

				.post-title {
					padding-bottom: 5px;

					a {
						color: var(--primary-text-color);
					
						&:hover {
							color: var(--primary-color);
						}
					}
				}

				.post-meta {

					 ul li {
					 	display: inline-block;
					 	font-size: 14px;
					 	color: var(--primary-color);
					 	margin-right: 10px;

					 	&:last-child {
					 		margin-right: 0;
					 	}
					 }

					 li.date {
					 	color: var(--secondary-text-color);
					 }
				}
			}
		}
	}

	.comments-widget {

		.comment {
			margin-bottom: 18px;
			
			&:last-child {
				margin-bottom: 0;
			}

			.icon {
				float: left;
				color: #acacac;
			}

			p {
				margin-left: 29px;

				a {
					color: var(--primary-color);
				}

				i {
					color: #7d7d7d;
				}
			}
		}
	}
}

ul.tags {
	li {
		display: inline-block;
		margin-right: 7px;
		margin-bottom: 10px;

		a {
			color: var(--primary-text-color);
			display: inline-block;
			padding: 2px 10px;
			border: 1px solid var(--primary-color);
			border-radius: 100px;

			&:hover {
				color: var(--primary-color);
			}
		}
	}
}